---

## Install variables
elasticsearch_dependencies:
  - apt-transport-https

elasticsearch_version: 8.6.2
# elasticsearch_package_url: "https://artifacts.elastic.co/downloads/elasticsearch/elasticsearch-{{ elasticsearch_version }}-amd64.deb"
elasticsearch_package_url: "https://mirror.yandex.ru/mirrors/elastic/8/pool/main/e/elasticsearch/elasticsearch-{{ elasticsearch_version }}-amd64.deb"
elasticsearch_checksum: "a266b3d8d45f8be9bfc9cf3d463b392e0e0db18a1ce3071d88f3efa95770be18d7e2ee642f5251814cf92d6ae24fc6bdc5fee8b29fa76c4458649ed4ec1ad303"

elasticsearch_templates_path: "{{ role_path }}/templates"


## Configure elasticsearch main config
elasticsearch_liveness_probe: false
elasticsearch_network_host: localhost
elasticsearch_http_port: 9200
elasticsearch_http_host: "0.0.0.0"
elasticsearch_path:
  data: /var/lib/elasticsearch
  logs: /var/log/elasticsearch
elasticsearch_cluster_initial_master_nodes: ["elasticsearch"]


## security options
# xpack_security: {}
xpack_security:
  enabled: false
  enrollment_enabled: false
  http_ssl_enabled: false
  transport_ssl_enabled: false


## Configure jvm options (add file in conf.d)
elasticsearch_jvm_addititional_options: {}
# elasticsearch_jvm_addititional_options:
#   file_name: jvm_01
#   heap_size_min: 1g
#   heap_size_max: 1g
